<?php
session_start();
   include_once("../scripts/connect.php");
   $conexion=conecta_default();
   
   include_once("../scripts/session.php");
   //Validar Session

    $sesion=new Sesion("","","");/*Se crea un objeto nuevo con el privilegio necesario para la pag. actual*/

    if(!$sesion->isValida("1")){ /*Sesion invalida*/

	 header("Location: ../index.php?err=NoSesion");

    }/*no hay sesion*/

    else{

       $dato=explode("|",$_SESSION['usuario']);
       $sesion->setDatos($dato[0],$dato[1],$dato[2]);
       $sesion->setSesion();

    }
    //fin validar session

$temp1=0;
 
	function redondear_dos_decimal($valor) {
	   $float_redondeado = round($valor * 100) / 100;
	   return $float_redondeado;
	}

	$max_gen = 13;

	$gen_exists = array_fill(1, $max_gen, true);
	$arecibir = 0;
	$gt1 = .1;
	$gt2 = .17;
	$gt3 = .01;

	$fechas =$_POST['fecha'];
	$idcd = $_POST['elci'];
	$id_inv =$_POST['iddist'];

	$busqusr2 = "SELECT month('$fechas') as elmes, year('$fechas') as elano";
	$cons2 = mysqli_query($conexion, $busqusr2) or die ('Err0: '.mysqli_error($conexion));
	$usr2 = mysqli_fetch_object($cons2);

	$mes3 = $usr2->elmes;
	$ano3 = $usr2->elano; 

	$fecha1="$ano3-$mes3-01";
	$fecha2="$ano3-$mes3-31";

	$gtot=0;

	function crearTabla($gen,$fecha1,$fecha2,$gt){
		global $gtot;
		global $gtot2;
		global $totales;
		echo "<table border=1><tr bgcolor=\"#c3dfed\"><th>Referencia</th><th>Nombre</th><th>Compras</th></tr>";
		
       	while (list($clave, $valor ) = each($gen))
        {
			$qc1 = "SELECT sum(puntos), usuarios_ci_idusuarios_ci FROM transacciones 
					join depositos on transacciones.idtransacciones=depositos.transacciones_idtransacciones
					WHERE tipostr_idtipostr!='11' and inversionista_id_inver = \"$valor[0]\" and fechat between \"$fecha1\" and \"$fecha2\"";

			$cc1 = mysqli_query($conexion, $qc1) or die ('No se pudo hacer la consulta cc1' . mysqli_error($conexion));
			$rr = mysqli_fetch_row($cc1);
			$val1=$rr[0]; $val1q=$rr[1];
			$toti+=$val1;if($val1>1){
			echo"<tr><td>$valor[1]</td><td>$valor[2]</td><td>$val1 CD-$val1q</td><tr>";}
        }

		$gtot+=$toti; 
		$gtot2=$toti*$gt;
		$totales+=$gtot2;
	       
        echo"</table>$toti $gtot";

		return $gtot2;
	}

	$vtas = "SELECT sum(puntos) FROM transacciones
			 join depositos on transacciones.idtransacciones=depositos.transacciones_idtransacciones
			 WHERE tipostr_idtipostr!='11' and inversionista_id_inver = \"$id_inv\" and fechat between \"$fecha1\" and \"$fecha2\"";

    $vtas1 = mysqli_query($conexion, $vtas) or die ('No se pudo hacer la consulta cc1' . mysqli_error($conexion));
    $rr8 = mysqli_fetch_row($vtas1);
    $valin=$rr8[0];

 	echo "<br><center><b> Reporte Generacional $elmes $ano3</b><br>Compras Personales  $ $valin<br><br>";

 	$inver_query = "SELECT id_inver, referencia, nombre, appat, apmat, tel1, tel2, estampa FROM inversionista WHERE ";

 	for($i=1;$i<=$max_gen;$i++)
 	{
 		if($i<=1)
 			$loop_query = $inver_query . "idprom =  \"$id_inv\"";
 		else
 		{
 			while (list($clave, $valor ) = each($copy_gen[$i - 1]))
				$query_ids[$i][] = "idprom =  \"$valor[0]\"";
			$loop_query = $inver_query . implode(" OR ", $query_ids[$i]);
 		}

 		$loop_table = mysqli_query($conexion, $loop_query) or die ('No se pudo hacer la consulta' . mysqli_error($conexion));
 		while($loop_row = mysqli_fetch_row($loop_table))
		{
			$gentemp = array_slice($loop_row, 0, 2);
			array_push($gentemp, $loop_row[2]." ".$loop_row[3]." ".$loop_row[4]." ".$loop_row[7]);
			$gen[$i][] = $gentemp;
		}

		$copy_gen[$i]=$gen[$i];

		if(empty($copy_gen[$i]))
		{
			$gen_exists = array_replace($gen_exists, array_fill($i, $max_gen - $i + 1, false));
			break;
		}
 	}

	while (list($clave, $valor ) = each($gen[1]))
	{
		$qc1 = "SELECT sum(puntos) FROM transacciones
				join depositos on transacciones.idtransacciones=depositos.transacciones_idtransacciones
				WHERE tipostr_idtipostr!='11' and inversionista_id_inver = \"$valor[0]\" and fechat between \"$fecha1\" and \"$fecha2\"";
		$cc1 = mysqli_query($conexion, $qc1) or die ('No se pudo hacer la consulta cc1' . mysqli_error($conexion));
		$rr = mysqli_fetch_row($cc1);
		$val1=$rr[0];
		if ($val1>=624){$conteo++;}
	}

	if(true){
		echo "<center>";
		if(!$gen_exists[1])
			echo"<br><br>No hay distribuidores en la red</center>";
		for($i=1;$i<=$max_gen;$i++)
		{
			if($gen_exists[$i])
			{
				$cur_gt = ($i<=1) ? $gt1 : (($i<=4) ? $gt2 : $gt3);
				echo "<br><br><font color=\"#2b385d\" size=\"+2\"><b>Nivel $i   --->".($cur_gt * 100)."%</b></font><br>";
				$reggen[$i]=crearTabla($gen[$i],$fecha1,$fecha2,$cur_gt);
			}
		}
	}
	$eltotal=0;

	$ordinal = array("", "Primero", "Segundo", "Tercero", "Cuarto", "Quinto", "Sexto", "Septimo", "Octavo", "Noveno", "D&eacute;cimo", "Onceavo", "Doceavo", "Treceavo");

	echo"<br><br><b>Personas Directas Calificadas en el periodo: $conteo </b><br><br>

	<font color=\"#2b385d\" size=\"+2\"><b>Resumen</b></font>

	<table border=\"1\" ><tr bgcolor=\"#c3dfed\">

	<th>Nivel</th><th>Porcentaje</th><th>Requisitos</th><th>Generados</th><th>A Recibir</th></tr>";

	for($i=1; $i<=$max_gen; $i++)
	{
		$cur_gt = ($i<=1) ? $gt1 : (($i<=4) ? $gt2 : $gt3);
		echo "<tr align=\"center\"><td>$ordinal[$i]</td><td>".($cur_gt * 100)." %</td><td>";
		$cur_tag = ($i<=1) ? "1 Persona directa calificada" : (($i<=13) ? "$i Personas directas calificadas" : "Red 5X25");
		echo $cur_tag . "</td><td>$reggen[$i]</td><td>";
		$eltotal+=$reggen[$i];
		if($conteo>=$i){
			echo"$reggen[$i]";
			$arecibir+=$reggen[$i];
		}
		else
			echo"---";
		echo"</td></tr>";
	}

	echo "</table>";
	
	echo "<br>El total de regal&iacute;as generadas es de $eltotal<br><br>";

	if($valin>=624){
		echo "El total de regal&iacute;as a recibir es de $arecibir<br>";
	}
	else
	{
		echo"<br>Regalias generadas <b>$ $arecibir</b>
		<br>Regalias a recibir $ 0 <font color=\"red\">NO CALIFICADO</font>";
	}

	echo "</center>";
?>